# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.CachedMetaData

Packages that use CachedMetaData
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of CachedMetaData in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return CachedMetaData
Modifier and Type
Method
Description
`static CachedMetaData`
StructureFactory.`createCachedMetaData()`
Creates an empty data set cached meta-data structure.
Methods in org.eclipse.birt.report.model.api with parameters of type CachedMetaData
Modifier and Type
Method
Description
`CachedMetaDataHandle`
DataSetHandle.`setCachedMetaData(CachedMetaData metadata)`
Set the value for the cached data set information.